Text area with label and help link.

This is used to build HTML code by using objects.

package | metaHTML

### Methods

## Constructor.

    __construct(String $name, String $value, int $colCount, int $rowCount, String $label, String $helpID)

### Parameters

#### $name

`String`

unique name

#### $value

`String`

value

#### $colCount

`int`

number of characters per line

#### $rowCount

`int`

number of rows

#### $label

`String`

descriptive label

#### $helpID

`String`

help ID

## Prints the HTML code for this element.

    generateHTML(string $module, array $input, array $values, boolean $restricted, integer $tabindex, string $scope) : array

### Parameters

#### $module

`string`

Name of account module

#### $input

`array`

List of meta-HTML elements

#### $values

`array`

List of values which override the defaults in $input (name => value)

#### $restricted

`boolean`

If true then no buttons will be displayed

#### $tabindex

`integer`

Start value of tabulator index for input fields

#### $scope

`string`

Account type

### Returns

`array`List of input field names and their type (name => type)

## Returns the HTML attributes for the alignment.

    getAlignmentString() : String

Inherited

inherited_from | \htmlElement::getAlignmentString()
inherited_from | \htmlInputTextarea::getAlignmentString()

### Returns

`String`alignment HTML attributes (e.g. align="right" valign="top")

## Returns the HTML attribute for the colspan.

    getColspanString() : String

Inherited

inherited_from | \htmlElement::getColspanString()
inherited_from | \htmlInputTextarea::getColspanString()

### Returns

`String`colspan HTML attribute (e.g. colspan=3)

## Returns the HTML attribute for the rowspan.

    getRowspanString() : String

Inherited

inherited_from | \htmlElement::getRowspanString()
inherited_from | \htmlInputTextarea::getRowspanString()

### Returns

`String`rowspan HTML attribute (e.g. rowspan=3)

## Returns the CSS classes of the surrounding table cell for this element.

    getTableCellCSSClasses() : array

Inherited

inherited_from | \htmlElement::getTableCellCSSClasses()
inherited_from | \htmlInputTextarea::getTableCellCSSClasses()

### Returns

`array`CSS classes

## Adds CSS classes to this element.

    setCSSClasses(array $classes)

Inherited

inherited_from | \htmlElement::setCSSClasses()
inherited_from | \htmlInputTextarea::setCSSClasses()

### Parameters

#### $classes

`array`

CSS class names

## Specifies if this component is enabled and accepts user modification.

    setIsEnabled(boolean $isEnabled)

Inherited

inherited_from | \htmlInputTextarea::setIsEnabled()

### Parameters

#### $isEnabled

`boolean`

enabled if true

## Specifies if the textarea should be displayed whith a WYSIWYG editor.

    setIsRichEdit(boolean $richEdit)

Inherited

This requires that the page which displays the textarea also includes the ckeditor JS.
Rich editing is disabled by default.

inherited_from | \htmlInputTextarea::setIsRichEdit()

### Parameters

#### $richEdit

`boolean`

rich edit or standard

## Specifies if this input field must be filled.

    setRequired(boolean $required)

### Parameters

#### $required

`boolean`

required or not

## Adds CSS classes to the surrounding table cell for this element.

    setTableCellCSSClasses(array $classes)

Inherited

inherited_from | \htmlElement::setTableCellCSSClasses()
inherited_from | \htmlInputTextarea::setTableCellCSSClasses()

### Parameters

#### $classes

`array`

CSS class names

### Properties

## alignment when inside a table

    $alignment

Inherited

inherited_from | \htmlElement::$$alignment
inherited_from | \htmlInputTextarea::$$alignment

## colspan if inside a table

    $colspan

Inherited

inherited_from | \htmlElement::$$colspan
inherited_from | \htmlInputTextarea::$$colspan

## rowspan if inside a table

    $rowspan

Inherited

inherited_from | \htmlElement::$$rowspan
inherited_from | \htmlInputTextarea::$$rowspan

## CSS classes

    $cssClasses

Inherited

inherited_from | \htmlElement::$$cssClasses
inherited_from | \htmlInputTextarea::$$cssClasses

## table cell CSS classes

    $tableCellCssClasses

Inherited

inherited_from | \htmlElement::$$tableCellCssClasses
inherited_from | \htmlInputTextarea::$$tableCellCssClasses

## column count

    $colCount

Inherited

inherited_from | \htmlInputTextarea::$$colCount

## help ID

    $helpID

## enabled or disabled

    $isEnabled

Inherited

inherited_from | \htmlInputTextarea::$$isEnabled

## descriptive label

    $label

## unique name of input element

    $name

Inherited

inherited_from | \htmlInputTextarea::$$name

## required field

    $required

## specifies if LAM should display this field whith a WYSIWYG editor

    $richEdit

Inherited

inherited_from | \htmlInputTextarea::$$richEdit

## row count

    $rowCount

Inherited

inherited_from | \htmlInputTextarea::$$rowCount

## value

    $value

Inherited

inherited_from | \htmlInputTextarea::$$value

### Constants

## align to bottom

    ALIGN_BOTTOM

Inherited

inherited_from | \htmlElement::ALIGN_BOTTOM
inherited_from | \htmlInputTextarea::ALIGN_BOTTOM

## align to center

    ALIGN_CENTER

Inherited

inherited_from | \htmlElement::ALIGN_CENTER
inherited_from | \htmlInputTextarea::ALIGN_CENTER

## align to left

    ALIGN_LEFT

Inherited

inherited_from | \htmlElement::ALIGN_LEFT
inherited_from | \htmlInputTextarea::ALIGN_LEFT

## align to right

    ALIGN_RIGHT

Inherited

inherited_from | \htmlElement::ALIGN_RIGHT
inherited_from | \htmlInputTextarea::ALIGN_RIGHT

## align to top

    ALIGN_TOP

Inherited

inherited_from | \htmlElement::ALIGN_TOP
inherited_from | \htmlInputTextarea::ALIGN_TOP

## validation rule to allow only numbers ([0-9]+)

    VALIDATE_NUMERIC

Inherited

inherited_from | \htmlElement::VALIDATE_NUMERIC
inherited_from | \htmlInputTextarea::VALIDATE_NUMERIC